#!/usr/bin/perl -w
use utf8;
BEGIN { $| = 1; }
$prefunc ="";

while (<>) {
    s/( \@[A-Z<>\-\#\&]+)\1+/$1/; # syntax-dubletter fra vislcg-multiline-problemet
    if (/<hyfen>/ && ! /^[^ \t]+\-[ \t]/) {
	s/^([^ \t]+)([ \t])/$1-$2/g;
    }

    s/^\n//;
    s/^(entre)=([^= \t]+)=(e)=([^= \t]+).*(\[[^ =\]]+)[^ \]]+(\]( +<\*>)*).*PP.*(\@[^ \n]+).*/$1\t$5$6 PRP $8\n$2\t\[$2\] NUM M\/F P \@P<\n$3\t\[$3\] <co-prparg> KC \@CO\n$4\t\[$4\] NUM M\/F P \@P</g; # Entre 1999 e 2000 aconteceu ...
    s/^([^= \t]+)=(a|para)=([^= \t]+).*(\[[^ \]=]+)[^ \]]+(\]( +<\*>)*).*<num_[apr]+_num.*((NUM.*) \@[^ \n]+).*/$1\t$4$5 $8 \@P<\n$2\t\[$2\] PRP $prefunc\n$3\t\[$3\] $7/g; # Subir de 50 a 60 por cento
    m/(\@[A-Z<>]+)/;
    $prefunc=$1;


    if (/\*/ && ! /<\*>/) {  # ! <*> in order not to do double work
	s/\*([a-z])/\U$1/g;
	s/\*á/Á/g;
	s/\*à/À/g;
	s/\*â/Â/g;
	s/\*ã/Ã/g;
	s/\*é/É/g;
	s/\*ê/Ê/g;
	s/\*í/Í/g;
	s/\*î/Î/g;
	s/\*ó/Ó/g;
	s/\*ô/Ô/g;
	s/\*õ/Õ/g;
	s/\*ú/Ú/g;
	s/\*û/Û/g;
	s/\*ç/Ç/g;
	s/\*ñ/Ñ/g;
	s/\*ä/Ä/g;
	s/\*ö/Ö/g;
	s/\*ü/Ü/g;
	s/\*æ/Æ/g;
	s/\*ø/Ø/g;
	s/\*å/Å/g;
    }
    if (/<\*>/ && ! /<ordret-lc>/) {
#	s/<\*>//g; # fjerner ALLE <*> fra linjen, også ved flere læsninger
	$_ = ucfirst($_);
	s/^á/Á/;
	s/^à/À/;
	s/^â/Â/;
	s/^ã/Ã/;
	s/^é/É/;
	s/^ê/Ê/;
	s/^í/Í/;
	s/^î/Î/;
	s/^ó/Ó/;
	s/^ô/Ô/;
	s/^õ/Õ/;
	s/^ú/Ú/;
	s/^û/Û/;
	s/^ç/Ç/;
	s/^ñ/Ñ/;
	s/^ä/Ä/;
	s/^ö/Ö/;
	s/^ü/Ü/;
	s/^æ/Æ/;
	s/^ø/Ø/;
	s/^å/Å/;
    }
#    if (/ALT xxx/) {s/\[[^\]]+\] /\[xxx\] /g;} # replaces unknown words' base forms
    if (/<DER/ && /^([^ ]+) ALT xxx/) {
	$word = $1;
	if (! / V /) {
	    s/\[[^\]]+\] /\[$word\] /g;  # replaces unknown words' base forms
	    s/s(\][^\t]* N )/$1/g;
	    s/as*(\][^\t]* ADJ )/o$1/g;
	    s/os(\][^\t]* ADJ )/o$1/g;
	}
	else {
	    s/([^r])(\] [^\t\[]*-([^> ]+r)[ >])/$1$3$2/g;
	}
    }

    if (! /^B[ \t]/) {s/ \[B(-Rare)*\]//g;} # removes (rare) Brazilian readings from the the morphology

    s/  +/ /g;
    print;
}






