#!/bin/bash
RL=`readlink -f "$0"`
DD=`dirname "$RL"`
yum upgrade
yum install perl perl-core perl-YAML perl-CPAN perl-IPC-Run gcc-c++ icu libicu-devel subversion autoconf automake cmake boost-devel
yum install glibc.i686
cpan -i 'YAML'
cpan -i 'Bundle::CPAN'
cpan -i 'Encode'
cpan -i 'DB_File'
cpan -i 'DBM_Filter'
cpan -i 'IPC::Run'
cpan -i 'SDBM_File'
cpan -i 'MLDBM::Sync'
cpan -i 'Digest::SHA1'
cpan -i 'Getopt::Long'
cd /tmp/
rm -rf vislcg3
svn export http://beta.visl.sdu.dk/svn/visl/tools/vislcg3/trunk vislcg3
cd vislcg3/
./cmake.sh
make -j3
./test/runall.pl
make install
rm -rf /opt/hispal
cp -av "$DD" /opt/hispal
echo ""
echo ""
echo "RUNNING SELFTEST:"
echo "Allí, dos pelotaris vascos ganaron una medalla de oro iniciando la emotiva historia del medallero español." | /opt/hispal/spa.pl 2>/dev/null
echo ""
echo "If the above output looks correct then hispal has successfully been installed to /opt/hispal and can be run via /opt/hispal/spa.pl"
echo "There is also a how-to text: /opt/hispal/text/howto_hispal.txt"
